Notifications

Read personal project email alerts

GET
/api/projects/{projectId}/email-alerts

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
lastDeliveryState*string|string|string|string|string|null
enabled*boolean
available*boolean
email*string|null
verified*boolean
Example Request
curl -X GET 'https://postbot.example/api/projects/string/email-alerts'
Example Response
{
  "lastDeliveryState": "pending",
  "enabled": true,
  "available": true,
  "email": "string",
  "verified": true
}

Was this page helpful?